From d778c5e5a77478fbd1dace0dc6ce259132661f8d Mon Sep 17 00:00:00 2001
From: Caleb JA <skywise@tutanota.de>
Date: Tue, 9 Jul 2019 09:49:29 -0400
Subject: [PATCH] New package: oil-0.6.0

re-add nostrip


Add proper readline build option and re-add nocross


make using the readline option default and remove desc


fix readline option


fix nocross reason


remove nostrip=yes and the removal of the wrapper in do_install


rename oilshell to oil


re-add nostrip
---
 srcpkgs/oil/template | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 srcpkgs/oil/template

diff --git a/srcpkgs/oil/template b/srcpkgs/oil/template
new file mode 100644
index 00000000000..92a0ada7186
--- /dev/null
+++ b/srcpkgs/oil/template
@@ -0,0 +1,37 @@
+# Template file for 'oil'
+pkgname=oil
+version=0.6.0
+revision=1
+build_style=configure
+configure_args="--prefix=/usr $(vopt_with readline)"
+makedepends="$(vopt_if readline readline-devel)"
+short_desc="Oil, a new unix shell"
+maintainer="Caleb JA <skywise@tutanota.de>"
+license="Apache-2.0"
+homepage="https://www.oilshell.org"
+distfiles="${homepage}/download/${pkgname}-${version}.tar.xz"
+checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
+register_shell="/usr/bin/osh"
+nocross="oil is nocross"
+nostrip=yes
+
+build_options="readline"
+build_options_default="readline"
+
+pre_build() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+}
+
+do_install() {
+	# Install binaries
+	vbin _bin/oil.ovm
+	# Symlink osh, oshc to oil.ovm.
+	cd "${DESTDIR}"/usr/bin
+	ln -s oil.ovm osh
+	ln -s oil.ovm oshc
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}
